Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 332593 - dev-lang/ruby-1.9 (+deps) keywording request
Summary: dev-lang/ruby-1.9 (+deps) keywording request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 342819
Blocks:
  Show dependency tree
 
Reported: 2010-08-13 11:49 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-09-30 17:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ruby-1.9.3_rc1.ebuild.patch (ruby-1.9.3_rc1.ebuild.patch,1.29 KB, patch)
2011-12-04 22:58 UTC, Naohiro Aota
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-13 11:49:00 UTC
Before unmasking Ruby 1.9 we would like for arches to start keywording the new implementation or give up Ruby 1.9 support by adding ruby_targets_ruby19 to your use.mask.

The reason for this is that if we unmask it we're going to have a heck of a job dropping keywords from ebuilds that optionally use ruby 1.9 and, most sincerely, I don't want that to happen.

PLEASE try to get around this in ... say... two weeks top. In september we'll be looking at this again and we're going to do double work (both us and you) if you haven't got around doing this bug till then.
Comment 1 Christian Faulhammer (RETIRED) gentoo-dev 2010-08-15 07:52:45 UTC
make[1]: Entering directory `/var/tmp/portage/dev-lang/ruby-1.9.2_rc2/work/ruby-1.9.2-rc2/ext/readline'
i686-pc-linux-gnu-gcc -I. -I../../.ext/include/i686-linux -I../.././include -I../.././ext/readline -DRUBY_EXTCONF_H=\"extconf.h\"  -D_FILE_OFFSET_BITS=64  -fPIC -O2 -march=athlon-xp -pipe -msse3 -fno-strict-aliasing -fPIC  -o readline.o -c readline.c
i686-pc-linux-gnu-gcc -shared -o ../../.ext/i686-linux/readline.so readline.o -L. -L../.. -L. -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -rdynamic -Wl,-export-dynamic -Wl,--no-undefined   -Wl,-R -Wl,/usr/lib -L/usr/lib -lruby19 -ledit -lncurses  -lpthread -lrt -ldl -lcrypt -lm   -lc
readline.o: In function `readline_getc':
readline.c:(.text+0x7b): undefined reference to `rl_getc'
readline.o: In function `readline_readline':
readline.c:(.text+0x2041): undefined reference to `rl_free_line_state'
collect2: ld returned 1 exit status
make[1]: *** [../../.ext/i686-linux/readline.so] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-lang/ruby-1.9.2_rc2/work/ruby-1.9.2-rc2/ext/readline'
make: *** [mkmain.sh] Error 1
make: *** Waiting for unfinished jobs....

Portage 2.1.8.3 (default/linux/x86/10.0/desktop, gcc-4.4.3, glibc-2.11.2-r0, 2.6.34-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.34-gentoo-r1-i686-AMD_Athlon-tm-_X2_Dual_Core_Processor_BE-2400-with-gentoo-1.12.13
Timestamp of tree: Sun, 15 Aug 2010 05:00:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.4_p6-r1, 1.5-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -msse3"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openfire/resources/security/ /opt/openjms/config /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=athlon-xp -pipe -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aiglx alsa applet artworkextra asf audiofile bash-completion berkdb bidi bogofilter bootsplash branding bzip2 cairo ccache cdda cddb cdparanoia cdr cli console consolekit cracklib crypt css cups curl custom-cflags dbus deskbar dga directfb divx4linux dri dts dvd dvdr dvdread dvi emacs emboss encode evince exif fam fat fbcon fbcondecor fdftk ffmpeg foomaticdb fortran ftp gb gcj gdbm gif glitz gphoto2 gpm gsf gtk gtk2 gtkhtml hal howl iconv icq idn imagemagick imlib ipv6 java javascript jpeg jpeg2k kpathsea libnotify libotf lirc lm_sensors mad matroska mikmod mime mmx mmxext mng modules mp3 mp4 mpeg mpeg2 mudflap mule mysql nautilus ncurses nforce2 nls noaudio nocardbus nocxx novideo nowebdav nptl nptlonly nss nvidia objc objc++ objc-gc offensive ogg opengl openmp pam pango passwordsave pcre pdf plotutils pmu png policykit ppds pppd prediction preview-latex print publishers python qt-static qt3support readline reflection run-as-root samba sdk secure-delete semantic-desktop session slang smp spell spl sse ssl startup-notification svg svga sysfs t1lib tcpd theora threads thumbnailing tiff toolkit-scroll-bars totem truetype truetype-fonts type1-fonts udev unicode usb userlocales vcd videos vorbis win32codecs wmf wxwindows x264 x86 xcb xface xft xml xorg xosd xpm xulrunner xv xvid zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" LIRC_DEVICES="atiusb" RUBY_TARGETS="jruby ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-15 11:19:14 UTC
Please open a new bug for that, but I'm looking into that already
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2010-08-16 23:48:37 UTC
Marked ~ppc.
Comment 4 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-08-24 18:33:57 UTC
Readding hppa.

All arches: Please continue keywording with ruby-1.9.2.

alpha, arm, hppa, x86-fbsd: I bumped to 1.9.2 final and introduced a new optional dependency on dev-ruby/rdoc (and thus dropped ~hppa and ~x86-fbsd from ruby). Please keyword the following packages, too:

- dev-ruby/rdoc-2.5.11 (needed: ~alpha, ~arm, ~hppa, ~x86-fbsd)
-- dev-ruby/hoe-2.6.1 (needed: ~alpha, ~x86-fbsd)
--- dev-ruby/rubyforge-2.0.4-r1 (needed: ~alpha, ~x86-fbsd)
-- dev-ruby/minitest-1.7.0 (needed: ~alpha, ~x86-fbsd)

For hoe and minitest please be advised about bug 331165 (circles with USE=doc/test).
Thanks a lot!
Comment 5 Tobias Klausmann gentoo-dev 2010-12-17 14:36:40 UTC
Is there a sane and simple way to do this?

So far, I've had to: unmask all packages including dependencies, remove the USE mask for ruby_targets_ruby19, edit cirtual/rubygems to actually have it in IUSE...

I'm not going to commit all those changes and without them, I'm unable to test it in a sane way. I could dive into how the whole RUby eclass system works, but I don't have the time for that at the moment.
Comment 6 Hans de Graaff gentoo-dev 2010-12-18 10:04:27 UTC
(In reply to comment #5)
> edit cirtual/rubygems to actually have it in IUSE...

virtual/rubygems is actually obsolete these days since we no longer use the rubygems implementations provided by ruby 1.9.x. I've updated our dependencies in the eclass and masked virtual/rubygems for removal. 



Comment 7 Tobias Klausmann gentoo-dev 2011-01-02 18:32:03 UTC
Still no can do: ruby-1.9.2 needs an rdoc that can satisfy RUBY_TARGETS=ruby19 which the mentioned rdoc 2.5.11 can't. What now?
Comment 8 Hans de Graaff gentoo-dev 2011-01-03 20:28:33 UTC
(In reply to comment #7)
> Still no can do: ruby-1.9.2 needs an rdoc that can satisfy RUBY_TARGETS=ruby19
> which the mentioned rdoc 2.5.11 can't. What now?

Keyword the latest version. Currently that's rdoc-3.2.
Comment 9 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-02-26 14:34:41 UTC
~ppc64 done
Comment 10 Raúl Porcel (RETIRED) gentoo-dev 2011-03-07 12:20:16 UTC
~alpha/~arm/~ia64/~s390/~sh/~sparc done
Comment 11 Raúl Porcel (RETIRED) gentoo-dev 2011-03-07 12:20:37 UTC
stupid bugzilla4
Comment 12 Matt Turner gentoo-dev 2011-07-15 17:41:53 UTC
Added ~mips.

You know, a list of packages is really helpful for keywording bugs.

package.keywords:
dev-ruby/rdoc **
=dev-lang/ruby-1.9.2-r1 **
=virtual/ruby-test-unit-0-r3 **
=dev-ruby/rubyforge-2.0.4-r2 **
=dev-ruby/hoe-2.9.1 **
=dev-ruby/rake-0.8.7-r6 **
=dev-ruby/json-1.5.3 **
=dev-ruby/minitest-2.3.1 **
=dev-ruby/test-unit-1.2.3 **
=virtual/ruby-rdoc-1:ruby19 **
=virtual/ruby-ssl-1:ruby19 **
=dev-util/ragel-6.6-r1 **
=dev-libs/libyaml-0.1.3 **

package.unmask:
=dev-lang/ruby-1.9.2-r1
virtual/ruby-rdoc
virtual/ruby-ssl

package.use.mask:
virtual/ruby-rdoc -ruby19
virtual/ruby-ssl -ruby19

use.mask:
-ruby_targets_ruby19
Comment 13 Jeroen Roovers (RETIRED) gentoo-dev 2011-10-22 17:11:11 UTC
1.9.2_p290 is marked ~hppa. Working on 1.9.3_rc1 now since it just got added.

test_fork.rb causes a segmentation fault in 1.9.2_p290. If 1.9.3_rc1 does not fix that, I will open a new bug report for that.
Comment 14 Jeroen Roovers (RETIRED) gentoo-dev 2011-10-22 17:17:42 UTC
1.9.3_rc1 is marked ~hppa.
Comment 15 Naohiro Aota gentoo-dev 2011-12-04 22:58:38 UTC
Created attachment 294805 [details, diff]
ruby-1.9.3_rc1.ebuild.patch

Failed to build on x86-fbsd with USE=berkdb.

$ cd ${S}/ext/dbm
$ ruby19 extconf.rb
checking for __db_ndbm_open() in -ldb... yes
checking for DBM in db.h with -DDB_DBM_HSEARCH -DHAVE_DBM... no
checking for __db_ndbm_open() in -ldb2... no
checking for __db_ndbm_open()... yes
checking for DBM in db2/db.h with -DDB_DBM_HSEARCH -DHAVE_DBM... no
checking for DBM in db2.h with -DDB_DBM_HSEARCH -DHAVE_DBM... no
checking for DBM in db.h with -DDB_DBM_HSEARCH -DHAVE_DBM... no
checking for dbm_open() in -ldb1... no
checking for dbm_open()... yes
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Provided configuration options:
        --with-opt-dir
        --without-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=/usr/bin/ruby19
        --with-dbm-dir
        --without-dbm-dir
        --with-dbm-include
        --without-dbm-include=${dbm-dir}/include
        --with-dbm-lib
        --without-dbm-lib=${dbm-dir}/lib
        --with-dbm-type
        --without-dbm-type
        --with-dblib
        --without-dblib
        --with-db2lib
        --without-db2lib
        --with-db1lib
        --without-db1lib
extconf.rb:42:in `block in db_check': undefined method `join' for nil:NilClass (NoMethodError)
        from extconf.rb:42:in `each'
        from extconf.rb:42:in `find'
        from extconf.rb:42:in `db_check'
        from extconf.rb:52:in `block in <main>'
        from extconf.rb:52:in `each'
        from extconf.rb:52:in `any?'
        from extconf.rb:52:in `<main>'

Although our patches/007_berkdb-5.0.patch has problem which may try to
eval 'nil.join(" ")' code, it would be better to apply this patch to
make it sure to use sys-libs/db's db.h (notice that /usr/include/db.h
is of FreeBSD base system's file on Gentoo/FreeBSD and it's not so
compatible with sys-libs/db)
Comment 16 Hans de Graaff gentoo-dev 2011-12-28 15:50:38 UTC
Adding back alpha because at least a new enough version of dev-ruby/rubygems is missing. I've dropped your ruby 1.9 keyword for now accordingly.
Comment 17 Hans de Graaff gentoo-dev 2011-12-28 15:56:04 UTC
hppa missing dev-libs/libyaml.
arm missing new enough dev-ruby/rdoc.
Comment 18 Tobias Klausmann gentoo-dev 2011-12-29 12:08:36 UTC
Keyworded =dev-ruby/rubygems-1.8.11 on alpha.
Comment 19 Jeroen Roovers (RETIRED) gentoo-dev 2011-12-29 17:05:46 UTC
(In reply to comment #17)
> hppa missing dev-libs/libyaml.
> arm missing new enough dev-ruby/rdoc.

Um, so that broke dev-ruby/libxml-2.2.2. :)
Comment 20 Jeroen Roovers (RETIRED) gentoo-dev 2011-12-29 17:10:40 UTC
Marked ~hppa again.
Comment 21 Markus Meier gentoo-dev 2012-02-05 22:11:15 UTC
~arm should be done.
Comment 22 Naohiro Aota gentoo-dev 2012-03-01 22:52:32 UTC
~x86-bsd done.
Comment 23 Raúl Porcel (RETIRED) gentoo-dev 2012-09-30 17:56:04 UTC
I see ruby-1.9 keyworded on alpha...